## com.bbn.openmap.graphicLoader.scenario
Interface ScenarioGraphic

All Known Implementing Classes:
  ScenarioPoint

public interface ScenarioGraphic

An Interface that describes a map object used in a scenario, with TimeStamp objects.

Method Summary
`void` `addTimeStamp(TimeStamp timeStamp)` Add a location at a time.
`void` `clearTimeStamps()` Clear all time stamps.
`void` `generate(Projection p, long time, boolean showTotalScenario)` Prepare the ScenarioPoint to be rendered in its position at a certain time.
`void` `generateTotalScenario(Projection p)` Prepare the ScenarioPoint to display its overall scenario movements.
`boolean` `removeTimeStamp(TimeStamp timeStamp)` Remove a location at a certain time.
`boolean` `thisIsYou(java.lang.String name)` Query the ScenarioGraphic according to it's name.

Method Detail

### thisIsYou

    public boolean thisIsYou(java.lang.String name)

  Query the ScenarioGraphic according to it's name. The string should be interned.

### addTimeStamp

    public void addTimeStamp(TimeStamp timeStamp)

  Add a location at a time.

### removeTimeStamp

    public boolean removeTimeStamp(TimeStamp timeStamp)

  Remove a location at a certain time.

### clearTimeStamps

    public void clearTimeStamps()

  Clear all time stamps.

### generate

    public void generate(Projection p,
                         long time,
                         boolean showTotalScenario)

  Prepare the ScenarioPoint to be rendered in its position at a certain time. include a flag that says whether the entire path of the graphic should be displayed.

### generateTotalScenario

    public void generateTotalScenario(Projection p)

  Prepare the ScenarioPoint to display its overall scenario movements.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details